@import url("https://fonts.googleapis.com/css2?family=Spartan:wght@100;200;300;400;500;600;700;800;900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Spartan", sans-serif;
}

html {
  scroll-behavior: smooth;
}

/* Global Styles */

h1 {
  font-size: 50px;
  line-height: 64px;
  color: #222;
}

h2 {
  font-size: 46px;
  line-height: 54px;
  color: #222;
}

h4 {
  font-size: 20px;
  color: #222;
}

h6 {
  font-weight: 700;
  font-size: 12px;
}  

p {
  font-size: 16px;
  color: #465b52;
  margin: 15px 0 20px 0;
}

.section-p1 {
  padding: 40px 80px;
}

.section-m1 {
  margin: 40px 0;
}
button.normal{
  font-size: 1rem;
  font-weight: 700;
  padding: 15px 30px;
  color: black;
  background-color: white;
  border-radius: 4px;
  cursor: pointer;
  border: none;
  outline: none;
  transition: 0.2s ease;
}

button.white{
  font-size: 1rem;
  font-weight: 700;
  padding: 11px 30px;
  color: rgb(255, 255, 255);
  background-color: transparent;
  border-radius: 4px;
  cursor: pointer;
  border: 1px solid white;
  outline: none;
  transition: 0.2s ease;
}

button .normal:hover{
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.616);
  color: #001eff;
}

body {
  width: 100%;
}


#header{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px 100px;
  background: hsl(229, 100%, 89%);
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
  z-index: 99;
  position: sticky;
  top: 0;
  left: 0;
}

#navbar{
  display: flex;
  align-items: center;
  justify-content: center;
}

#navbar li{
  list-style: none;
  padding: 0 1.5rem;
  position: relative;
}

#navbar li a{
  text-decoration: none;
  font-size: 1rem;
  font-weight: 600;
  color: #1a1a1a;
  transition: 0.6s ease;
}

#navbar li a:hover,
#navbar li a.active {
  color: #001eff;
}

#navbar li a.active::after,
#navbar li a:hover::after{
  content:"";
  width: 50%;
  height: 2px;
  background: #001eff;
  position: absolute;
  bottom: -4px;
  left: 25px;
}

#mobile{
  display: none;
  align-items: center;
}

#hero{
  background-image: url("img/hero4.png");
  height: 90vh;
  width: 100%;
  background-size: cover;
  background-position: top 25% right 0;
  padding: 0 100px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

#hero h4{
  padding-bottom: 15px;
}

#hero h1 {
  color: #001eff;
}

#hero button{
  background-image: url(img/button.png);
  background-color: transparent;
  color: #001eff;
  border: none;
  padding: 14px 80px 14px 45px;
  background-repeat: no-repeat;
  cursor: pointer;
  font-size: 1.5rem;
  font-weight: 900;
}

#feature{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

#feature .fe-box{
  width: 180px;
  text-align: center;
  padding: 25px 15px;
  box-shadow: 0 0 34px rgba(0, 0, 0, 0.07);
  border: 1px solid #5f5f5f;
  border-radius: 12px;
  margin-bottom: 15px 0;
  transition: 0.3s ease-in-out;

}

#feature .fe-box:hover{
  box-shadow: 0 0 10px #8a97fb;
  border: 1px solid #001eff;
}

#feature .fe-box img{
  width: 100%;
  margin-bottom: 10px;
}

#feature .fe-box h6{
  display: inline-block;
  padding: 9px 8px 6px 8px;
  line-height: 1;
  border-radius: 4px;
  font-weight: 900;
  color: #001eff;
  background-color: #fddde4;
}

#feature .fe-box:nth-child(2) h6{
  background-color: rgb(153, 170, 153);
}
#feature .fe-box:nth-child(3) h6{
  background-color: rgb(226, 233, 255);
}
#feature .fe-box:nth-child(4) h6{
  background-color: rgb(255, 243, 198);
}
#feature .fe-box:nth-child(5) h6{
  background-color: rgb(205, 255, 198);
}
#feature .fe-box:nth-child(6) h6{
  background-color: rgb(198, 247, 255);
}

#product1{
  text-align: center;
}
#product1 .Products-cont{
  display: flex;
  justify-content: space-between;
  padding-top: 20px;
  flex-wrap: wrap;
}

#product1 .pro{
  width: 23%;
  min-width: 250px;
  padding: 10px 10px;
  border: 1px solid #cdcdcd;
  border-radius: 18px;
  cursor: pointer;
  box-shadow: 0 0 20px #1a1a1a17;
  margin: 15px 0;
  transition: 0.3s ease;
  position: relative;
}

#product1 .pro:hover{
  box-shadow: 0 0 20px #7765fcb6;
  border: 1px solid #7765fcb6;
}

#product1 .pro img{
  width: 100%;
  border-radius: 12px;
}

#product1 .pro .does{
  text-align: start;
  padding: 10px 0 ;
}

#product1 .pro .does span{
  color: #5f5f5f;
  font-size: 1rem;
  font-weight: 700;
}

#product1 .pro .does h5{
  padding: 7px; 
  color: #1a1a1a;
  font-size: 1rem;
}
#product1 .pro .does i{
  font-size: 1rem;
  color: rgb(255, 225, 0);
}

#product1 .pro .does h4{
  padding-top: 7px;
  color: #001eff;
  font-size: 1.3rem;
  font-weight: 700;
}

#product1 .pro .cart{
  width: 40px;
  height: 40px;
  line-height: 37px;
  border-radius: 50px;
  background-color: #e9e9e9;
  font-weight: 500;
  color: #001eff;
  border: 1px solid #001eff;
  position: absolute;
  bottom: 20px;
  right: 20px;
  transition: 0.1s ease-in-out;
}

#product1 .pro .cart:hover{
  box-shadow: 0 0 10px #1e00ff;
  border: none;
}

#banner{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  background-image: url("img/banner/b2.jpg");
  width: 100%;
  height: 40vh;
  background-size: cover;
  background-position: center;
}

#banner h4{
  color: white;
  font-size: 1rem;
}

#banner h2{
  color: white;
  font-size: 2rem;
  padding: 10px 0;
}

#banner h2 span{
  color: rgb(255, 0, 0);
}

#sm-banner {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
}

#sm-banner .banner-box{
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  background-image: url("img/banner/b17.jpg");
  width: 800px;
  height: 50vh;
  border-radius: 12px;
  background-size: cover;
  background-position: center;
  padding: 30px;
}

#sm-banner .banner-box2{
  background-image: url("img/banner/b10.jpg");
}

#sm-banner h4{
  color: white;
  font-size: 20px;
  font-weight: 300;
}

#sm-banner h2{
  color: white;
  font-size: 28px;
  font-weight: 800;
}

#sm-banner span{
  color: white;
  font-size: 1rem;
  font-weight: 500;
  padding-bottom: 15px;
}
#sm-banner .banner-box:hover button{
  background-color: #001eff;
  border: 1px solid #001eff;
  box-shadow: 0 0 10px #636262;
}
#banner3{
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
  padding: 0 100px;
}
#banner3 .banner-box{
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-direction: column;
  background-image: url("img/banner/b7.jpg");
  min-width: 30%;
  height: 30vh;
  border-radius: 12px;
  background-size: cover;
  background-position: center;
  padding: 20px;
  margin-bottom: 20px;
  transition: 0.5s ease;
}

#banner3 .banner-box3{
  background-image: url("img/banner/b18.jpg");
}

#banner3 .banner-box2{
  background-image: url("img/banner/b4.jpg");
}

#banner3 h2{
  color: rgb(255, 255, 255);
  font-weight: 900;
  font-size: 1rem;
}
#banner3 h3{
  color: rgb(255, 106, 0);
  font-weight: 800;
  font-size: 2rem;
}
#banner3 p{
  color: rgb(255, 255, 255);
  font-size: 1rem;
  font-weight: 500;
}
#banner3 .banner-box:hover{
  box-shadow: 0 0 18px #1515158a;
  border: 1px solid #ff5404;
}

#newsletter {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
  background-image: url("img/banner/b14.jpg");
  background-repeat: no-repeat;
  background-position: 20% 30%;
  background-color: #001eff;
}
#newsletter h4{
  font-size: 2rem;
  font-weight: 700;
  color: white;
}
#newsletter p{
  font-size: 1rem;
  font-weight: 600;
  color: white;
}

#newsletter p span{
  color: orangered;
}

#newsletter .form{
  display: flex;
  width: 40%;
}
#newsletter input{
  height: 3.125rem;
  padding: 0 1.25rem;
  font-size: 14px;
  width: 100% ;
  border: 1px solid transparent;
  border-radius: 8px;
  outline: none;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

#newsletter button{
  background-color:orangered;
  color: #000;
  white-space: nowrap;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

footer{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

footer .col{
  display: flex;
 flex-direction: column;
 align-items: flex-start;
 margin-bottom: 20px;
}

footer .logo{
  margin-bottom: 30px;
}

footer h4{
  font-size: 1rem;
  padding-bottom: 20px;
}

footer p{
  font-size: 1rem;
  margin: 0 0 8px 0 ;
}

footer a{
  font-size: 13px;
  text-decoration: none;
  color: #222;
  margin-bottom: 10px;
}

footer .follow{
  margin-top: 20px;
}

footer .follow i{
  color: #5f5f5f;
  padding-right: 4px;
  cursor: pointer;
}

footer .install .row img{
  border: 1px solid orangered;
  border-radius: 6px;
}

footer .install img{
  margin: 10px 0 15px 0;
}

footer .follow i:hover, footer a:hover{
  color: #001eff;
}

footer .copyright{
  width: 100%;
  text-align: center;
  color: #001eff;
}
footer .copyright p{
  color: #001eff;
  font-weight: 700;
}
#close{
  display: none;
}


#page-header{
  background-image: url(img/banner/b2.jpg);
  width: 100%;
  height: 40vh;
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
  padding: 14px;
}
#page-header h2, #page-header p{
  color: white;
}

#pagination{
  text-align: center;
}
#pagination a{
  text-decoration: none;
  background-color: #001eff;
  padding: 15px 20px;
  color: white;
  font-weight: 600;
  border-radius: 4px;
  transition: 0.5s ease-in-out;
}

#pagination a i{
  font-size: 1rem;
  font-weight: 600;
}

#pagination a:hover{
  background-color: white;
  color: #001eff;
  border: 1px solid #001eff;
  box-shadow: 0 0 10px #222;
}

#ProDetails .single-pro-image{
  width: 40%;
  margin-right: 50px;
}

.small-image-group{
  display: flex;
  justify-content: space-between;
}

.small-img-col{
flex-basis: 24%;
cursor: pointer;
}

#ProDetails{
  display: flex;
  margin-top: 20px;
}

#ProDetails .single-details {
  width: 50%;
  padding-top: 30px;
}

#ProDetails .single-details h4{
  padding: 40px 0 20px 0 ;
}

#ProDetails .single-details h2{
  font-size: 26px;
} 

#ProDetails .single-details select{
  display: block;
  padding: 5px 10px;
  margin-bottom: 10px;
}

#ProDetails .single-details input{
  width: 50px;
  height: 47px;
  padding-left: 10px;
  font-size: 16px;
  margin-right: 10px;
  border: 1px solid black;
  border-radius: 6px;
}

#ProDetails .single-details button{
  background-color: #001eff;
  color: white;
}

#ProDetails .single-details input:focus{
  outline:none ;
  border: 1px solid #001eff;
}

#ProDetails .single-details span{
  line-height: 25px;

}
#page-header.blog-header{
  background-image: url("img/banner/b19.jpg");
}

#blog{
  margin: 150px auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#blog .blog-box{
  display: flex;
  align-items: center;
 width: 70%;
  justify-content: center;
  position: relative;
  padding-bottom: 90px;

}

#blog .blog-img{
  width: 30%;
  margin-right: 40px;
}

#blog img{
  width:100%;
  height: 300px;
  object-fit: cover;
}

#blog .blog-details{
  max-width: 50%;
}

#blog .blog-details a{
  text-decoration: none;
  font-size: 11px;
  color: #000;
  font-weight: 700;
  position: relative;
  transition: 0.3s ease;
}

#blog .blog-details a::after{
  content: "";
  width: 50px;
  height: 1px;
  background-color: #000;
  position: absolute;
  top: 4px;
  right: -60px;
}

#blog .blog-details a:hover{
  color: #001eff;
}

#blog .blog-details a:hover::after{
  background-color: #001eff;
}

#blog .blog-box h1{
  position: absolute;
  top: -50px;
  left: 150px;
  font-size: 70px;
  font-weight: 700;
  color: #001eff;
  z-index: -9;
}

#page-header .about-header{
  background-image: url("img/about/banner.png");

}

#about-header{
  display: flex; 
  align-items: center;
  justify-content: center;

}

#about-header img{
  width: 40%;
  height: auto;
  border-radius: 15px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.36);
}

#about-header div{
  padding-left: 40px;
  max-width: 40%;
}
#about-app{
  text-align: center;
}

#about-app .video{
  width: 70%;
  height: 100%;
  margin: 30px auto 0 auto;

}

#about-app .video video{
  width: 100%;
  height: 100%;
  border-radius: 20px;
  box-shadow: 0 0 15px black;
}

#contact-details{
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto;
}
#contact-details .details{
  width: 40%;
}
#contact-details .details span,
#form-details form span {
  font-size: 1rem;
}

#contact-details .details h2,
#form-details form h2{
  font-size: 26px;
  line-height: 35px;
  padding: 20px 0;
}
#contact-details .details h3{
  font-size: 16px;
  padding-bottom: 16px ;
}

#contact-details .details li{
  list-style: none;
  display: flex;
  padding: 10px 0;
  align-items: center;
  gap: 10px;
}
#contact-details .details li i{
  font-size: 1.5rem;
  font-weight: 500;
  color: #001eff;
}

#contact-details .details li p{
  padding-top: 10px;
  font-weight: 500;
  color: #000;
}

#contact-details .map iframe {
  border-radius: 15px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.251);
}

#form-details form{
  width: 45%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

#form-details form input,
#form-details form textarea{
  width: 100%;
  padding: 12px 15px;
  outline: none;
  margin-bottom: 20px;
  border: 1px solid #d6d6d6;
  border-radius: 5px;
}
#form-details form .normal{
  background-color: #001eff;
  color: white;
}

#form-details .peaple div{
  padding-bottom: 25px;
  display: flex;

}
#form-details .peaple div img{
  width: 60px;
  height: 65px;
  object-fit: cover;
  margin-right: 15px;
}

#form-details .peaple div p{
  margin: 0;
  font-size: 15px;
  line-height: 25px;
}
#form-details .peaple div span{
  display: block;
  font-size: 16px;
  font-weight: 600;
  color: #000;
}
#form-details .peaple {
  width: 40%;
}

#form-details{
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin: 40px auto;
  padding: 40px;
  border: 1px solid rgb(111, 111, 111);
  border-radius: 12px;
  box-shadow: 0 0 18px #2222225d;
  width: 70%;
}

#cart {
  overflow-x: auto;
}

#cart table{
  width: 100%;
  border-collapse: collapse;
  table-layout: fixed;
  white-space: nowrap;
}

#cart table img{
  width: 70px;
  border-radius: 8px;
}

#cart table td:nth-child(1){
  width: 100px;
  text-align: center;
}
#cart table td:nth-child(2){
  width: 150px;
  text-align: center;
}
#cart table td:nth-child(3){
  width: 250px;
  text-align: center;
}
#cart table td:nth-child(4),
#cart table td:nth-child(5),
#cart table td:nth-child(6){
  width: 150px;
  text-align: center;
}
#cart table td:nth-child(5) input{
  width: 70px;
  padding: 10px 5px 10px 15px;
}

#cart table thead{
  border: 1px solid #a5a5a5;
  border-left: none;
  border-right: none;
}

#cart table thead td{
  font-weight: 700;
  text-transform: uppercase;
  font-size: 13px;
  padding: 18px 0 ;
}

#cart table tbody tr td{
  padding-top: 15px;
}

#cart table tbody tr td{
  font-size: 13px;
}

#cart-add{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
#coupon{
  width: 50%;
  margin-bottom: 30px;
}

#coupon h3,
#subTotal h3{
  padding-bottom: 15px;
}

#coupon input{
  padding: 10px 20px;
  outline: none;
  width: 60%;
  margin-right: 10px;
  border: 1px solid #4b4b4b;
}

#coupon button,
#subTotal button{
  background-color: #001eff;
  color: white;
  padding: 12px 20px;
}
#subTotal{
  width: 50%;
  margin-bottom: 30px;
  padding: 30px;
  border: 1px solid #6f6f6f;
  border-radius: 10px;
  box-shadow: 0 0 15px rgba(90, 90, 90, 0.46);
}

#subTotal table{
  border-collapse: collapse;
  width: 100%;
  margin-bottom: 20px;
  
}

#subTotal table td{
  width: 50%;
  border: 1px solid #1a1a1a;
  padding: 10px;
  font-size: 13px;
}




@media (max-width:799px){
  .section-p1{
    padding: 40px 40px;
  }
  #navbar {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    position: fixed;
    top:0;
    right: -300px;
    height: 100vh;
    width: 300px;
    background-color: #e9e7e7;
    box-shadow: 0 40px 60px #5f5f5f;
    padding: 80px 0 0 18px;
    transition: 0.05s ease;
  }

  #navbar.active{
    right: 0px;
  }

  #navbar li {
    margin-bottom: 25px;
  }
  #mobile{
    display: flex;
    align-items: center;
  }
  #mobile i {
    color: #1a1a1a;
    font-size: 24px;
    padding-left: 20px;
  }
  #close{
    display: initial;
    position: absolute;
    top: 30px;
    left: 30px;
    color: orangered;
    font-size: 24px;
  }
  #lg-bag{
    display: none;
  }
  #hero {
    height: 70vh;
    padding: 0 80px;
    background-position: top 30% right 30%;
  }
  #feature {
    justify-content: center;
    flex-wrap: wrap;
    gap: 0px;
  }
  #feature .fe-box{
    margin: 15px 15px;
  }
  #product1 .Products-cont{
    justify-content: center;
  }
  #product1 .pro{
    margin: 20px 20px;
  }
  #banner{
    height: 20vh;
  }
  #banner3{
    padding: 0 40px;
    gap: 30px;
  }
  #banner3 .banner-box{
    width: 30%;
  }
  #newsletter .form{
    width: 60%;
  }
  #blog .blog-box{
    padding-bottom: 100px;
    width: 100%;
  }
  #blog .blog-box h1{
    left: 85px;
  }
  #about-header{
    flex-direction: column;
    width: 100%;
  }
  #about-header img {
    width: 100%;
  }
  #about-header div {
    padding-top: 40px;
    max-width: 100%;
  }
  #contact-details .map iframe {
    width: 412px;
    height: 412px;
  }
  #contact-details .details h2, #form-details form h2{
    font-size: 18px;
    padding: 0;
    line-height:25px;
  }
  #contact-details .details li{
    padding: 0;
  }
  #contact-details .details h3{
    padding-top: 30px;
    padding-bottom: 0;
  }
  #form-details{
    width: 90%;
  }
}








@media (max-width:477px){
  #header {
    padding: 10px 30px;
  }
  h2{
    font-size: 2rem;
  }
  h1{
    font-size: 3rem;
  }
  #hero {
    padding: 0 20px;
    background-position: 55%;
  }
  .section-p1{
    padding: 10px;
  }
  #feature .fe-box{
    width: 150px;
    margin: 10px;
  }
  #product1 .pro{
    width: 100%;
  }
  #banner{
    height: 40vh;
  }
  #banner3{
    padding: 0 10px;
    margin-top: 40px;
  }
  #banner3 .banner-box{
    width: 100%;
  }
  #newsletter .form{
    width: 90%;
    margin: 0 auto;
  }
  #newsletter h4{
    font-size: 1rem;
  }
  #newsletter p{
    font-size: 16px;
  }
  #ProDetails{
    display: flex;
    flex-direction: column;
  }
  #ProDetails .single-pro-image{
    width: 100%;
    margin-right: 0 ;
  }
  #ProDetails .single-details{
    width: 100%;
  }
  .blog-box p {
    font-size: 12px;
  }
  .blog-box h4{
    font-size: 18px;
  }
  #blog .blog-box h1{
    left: 80px;
  }
  #about-app h1{
    font-size: 30px;
  }
  #about-app .video{
    margin: 0;
  }
  #blog{
    margin: 150px auto 0 auto;
  }
  
  #about-app{
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  #about-app .video {
    width: 100%;
  }
  #about-header div{
    padding: 10px;
  }
  #contact-details{
    flex-direction: column;
    align-items: normal;
  }
  #contact-details .details{
    width: 100%;
    text-align: start;
    padding: 40px;
  }
  #contact-details .map iframe{
    width: 100%;
  }
  #form-details{
    flex-direction: column;
  }
  #form-details form{
    width: 100%;
  }
  #form-details .peaple{
    width: 100%;
  }
  #cart-add{
    flex-direction: column;
  }
  #coupon{
    width: 100%;
    margin-top: 50px;
  }
  #subTotal{
    width: 100%;
  }
}